Intermittent linux debug devtools command timed out: 4800 seconds elapsed running ['/tools/buildbot/bin/python', '-u', 'scripts/scripts/desktop_unittest.py', '--cfg', 'unittests/linux_unittest.py', '--mochitest-suite', 'mochitest-devtools-chrome-chunked'

RESOLVED WONTFIX

Status

Release Engineering
General
RESOLVED WONTFIX
2 years ago
2 months ago

People

(Reporter: aryx, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell disabled])

Comment 1

2 years ago
45 failures in 715 pushes (0.063 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* try: 15
* mozilla-aurora: 12
* autoland: 11
* mozilla-inbound: 5
* mozilla-central: 2

Platform breakdown:
* linux32: 45

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2016-11-14&endday=2016-11-20&tree=all
Most of these are on aurora and in those cases, the logs are littered with:

19:09:51     INFO - [GFX3-]: Surface width or height <= 0!
19:09:51     INFO - [GFX3-]: Surface width or height <= 0!
19:09:51     INFO - [GFX3-]: Surface width or height <= 0!

https://dxr.mozilla.org/mozilla-central/rev/34fce7c12173bdd6dda54c2ebf6d344252f1ac48/gfx/2d/Factory.cpp#257

:ryanvm -- do you know what that's about, by chance?
Flags: needinfo?(ryanvm)

Comment 3

2 years ago
36 failures in 623 pushes (0.058 failures/push) were associated with this bug in the last 7 days. 

This is the #43 most frequent failure this week. 

Repository breakdown:
* mozilla-aurora: 28
* autoland: 4
* mozilla-inbound: 3
* mozilla-central: 1

Platform breakdown:
* linux32: 36

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2016-11-21&endday=2016-11-27&tree=all
I don't, sorry. I do know that in general, these tests are timing out like mad lately and someone needs to track it down. I started a thread on sheriffs@ about it, but it doesn't seem to be making much progress. I also sorta-suspect that this is related to bug 1316632 as they have very similar regression ranges and many of the screenshots in the log show spinners. But I don't have cycles to look into it further than that, though. Sorry.
Flags: needinfo?(ryanvm)
Thanks Ryan. I have noticed several aurora-only or aurora-mostly timeout bugs seem closely associated with those log messages. I'll try to find a regression range.

Comment 6

2 years ago
39 failures in 694 pushes (0.056 failures/push) were associated with this bug in the last 7 days. 

This is the #26 most frequent failure this week. 

Repository breakdown:
* mozilla-aurora: 27
* mozilla-inbound: 6
* mozilla-central: 3
* autoland: 2
* try: 1

Platform breakdown:
* linux32: 39

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2016-11-28&endday=2016-12-04&tree=all

Comment 7

2 years ago
22 failures in 289 pushes (0.076 failures/push) were associated with this bug in the last 7 days. 

This is the #22 most frequent failure this week. 

Repository breakdown:
* mozilla-aurora: 14
* mozilla-inbound: 4
* autoland: 4

Platform breakdown:
* linux32: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2016-12-05&endday=2016-12-11&tree=all

Comment 8

2 years ago
46 failures in 526 pushes (0.087 failures/push) were associated with this bug in the last 7 days. 

This is the #7 most frequent failure this week. 

Repository breakdown:
* mozilla-aurora: 27
* mozilla-inbound: 9
* autoland: 6
* try: 2
* mozilla-central: 2

Platform breakdown:
* linux32: 45
* osx-10-7: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2016-12-12&endday=2016-12-18&tree=all

Comment 9

2 years ago
6 failures in 609 pushes (0.01 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 3
* try: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2016-12-19&endday=2016-12-25&tree=all

Comment 10

2 years ago
22 failures in 563 pushes (0.039 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 11
* mozilla-inbound: 6
* mozilla-central: 4
* try: 1

Platform breakdown:
* linux32: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2017-01-02&endday=2017-01-08&tree=all

Comment 11

2 years ago
36 failures in 722 pushes (0.05 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 20
* mozilla-inbound: 10
* try: 3
* mozilla-central: 3

Platform breakdown:
* linux32: 36

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2017-01-09&endday=2017-01-15&tree=all
Whiteboard: [stockwell disabled]
67 failures in 186 pushes (0.36 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* mozilla-inbound: 52
* autoland: 15

Platform breakdown:
* osx-10-10: 67

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2017-05-11&endday=2017-05-11&tree=all
There was a temporary infra problem affecting os-x today, bug 1363893. Many of these failures seemed more correlated with bug 1362822, backed out twice today.
78 failures in 879 pushes (0.089 failures/push) were associated with this bug in the last 7 days. 

This is the #10 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 56
* autoland: 16
* graphics: 6

Platform breakdown:
* osx-10-10: 78

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317152&startday=2017-05-08&endday=2017-05-14&tree=all
(Assignee)

Updated

3 months ago
Component: General Automation → General
Product: Release Engineering → Release Engineering
I think this bug outlived its usefulness.
Closing this, feel free to reopen if I'm wrong.
Status: NEW → RESOLVED
Last Resolved: 2 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.